[X2Go-Commits] [buildscripts] 01/01: bin/build-deb-package: refactor code name to numerical version mapping.

git-admin at x2go.org git-admin at x2go.org
Fri Jul 1 06:22:54 CEST 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit a79b8478d7363305552c8d4f4e2797938701af13
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Fri Jul 1 06:22:22 2016 +0200

    bin/build-deb-package: refactor code name to numerical version mapping.
    
    Take distribution into account and run appropriate script only.
---
 bin/build-deb-package |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/bin/build-deb-package b/bin/build-deb-package
index d6070d8..bc78e8c 100755
--- a/bin/build-deb-package
+++ b/bin/build-deb-package
@@ -271,17 +271,21 @@ build_packages() {
 				#[ "x$l_CODENAME" = "xoldstable" ] && codename=oldstable
 
 				typeset -l numerical_version=""
-				# First, try to map to a Debian version.
-				numerical_version="$("${script_path}/debian-codename-to-version.sh" "${codename}")"
+				typeset -l -i tmp_ret="1"
 
-				if [ "${?}" -ne "0" ]; then
-					# This failed, so try to map to an Ubuntu version. If that fails, we error out.
+				if [ -n "${l_DIST}" ] && [ "${l_DIST}" = "debian" ]; then
+					numerical_version="$("${script_path}/debian-codename-to-version.sh" "${codename}")"
+					tmp_ret="${?}"
+				fi
+
+				if [ -n "${l_DIST}" ] && [ "${l_DIST}" = "ubuntu" ]; then
 					numerical_version="$("${script_path}/ubuntu-codename-to-version.sh" "${codename}")"
+					tmp_ret="${?}"
+				fi
 
-					if [ "${?}" -ne "0" ]; then
-						echo "Error: unable to map code name \"${codename}\" to Debian or Ubuntu numerical versions. Unknown code name? Aborting." >&2
-						exit 1
-					fi
+				if [ "${tmp_ret}" -ne "0" ]; then
+					echo "Error: unable to map code name \"${codename}\" to Debian or Ubuntu numerical versions. Unknown code name or not applicable to distribution \"${l_DIST}\"? Aborting." >&2
+					exit 1
 				fi
 
 				# modify the section for non-main package builds

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list